diff -Naur gcolor2-0.4-old/src/callbacks.c gcolor2-0.4/src/callbacks.c
--- gcolor2-0.4-old/src/callbacks.c	2005-07-12 21:06:12.000000000 +0300
+++ gcolor2-0.4/src/callbacks.c	2010-04-01 01:09:01.899928311 +0300
@@ -5,11 +5,13 @@
 #include <gtk/gtk.h>
 #include <stdio.h>
 
+#include <string.h>
+#include <glib/gprintf.h>
+
 #include "callbacks.h"
 #include "interface.h"
 #include "support.h"
 
-
 GtkWidget        *savedialog;
 gchar            *colorname;
 static GtkWidget *aboutdialog = NULL;
@@ -166,9 +168,10 @@
 void on_copy_color_to_clipboard_activate (GtkMenuItem *menuitem, gpointer user_data)
 {
 	gchar* hex;
+	GtkClipboard *cb;
 	
 	hex = hex_value (colorvalue);
-	GtkClipboard *cb = gtk_clipboard_get (gdk_atom_intern ("PRIMARY", FALSE));
+	cb = gtk_clipboard_get (gdk_atom_intern ("PRIMARY", FALSE));
 	gtk_clipboard_set_text (cb, hex, strlen (hex));
 }
 
diff -Naur gcolor2-0.4-old/src/main.c gcolor2-0.4/src/main.c
--- gcolor2-0.4-old/src/main.c	2005-07-11 17:55:49.000000000 +0300
+++ gcolor2-0.4/src/main.c	2010-04-01 01:11:15.566928909 +0300
@@ -5,6 +5,10 @@
 #include <gtk/gtk.h>
 #include <stdio.h>
 
+#include <stdlib.h>
+#include <string.h>
+#include <glib/gprintf.h>
+
 #include "interface.h"
 #include "support.h"
 #include "callbacks.h"
@@ -48,8 +52,6 @@
 
 void add_list_color (gchar *spec, gchar *name, gchar *type, gboolean is_new_color)
 {
-	GdkPixmap   *pixmap;
-	GdkBitmap   *mask;
 	GdkPixbuf   *buf;
 	GtkTreeIter  iter;
 	
@@ -103,7 +105,7 @@
 	gchar *name;
 	gchar  buffer[512];
 	gchar  spec[8];
-	gint   r, g, b, lr, lg, lb;
+	gint   r, g, b, lr=0, lg=0, lb=0;
 	
 	fp = fopen (filename, "r");
 	if (!fp)
@@ -140,7 +142,6 @@
 	GtkTreeViewColumn *column;
 	GtkWidget         *treeview;
 	GtkTreeSelection  *select;
-	gchar             *buf;
 	
 #ifdef ENABLE_NLS
 	bindtextdomain (GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR);
